/* Test de types agrégés déclarés              */
/* sans et avec initialisation                 */

public class ExempleTypeDateSansEtAvecInitialisationEnConsole {

/* Stockage d'une date sans initialisation     */
/* explicite des champs                        */
/* -> initialisation implicite à 0             */

   static class DateSansInit {
     int jour;
     int mois;
     int annee; };

/* Stockage d'une date avec initialisation     */
/* explicite des champs                        */

   static class DateAvecInit {
     int jour = 1;
     int mois = 1;
     int annee = 1901; };

/* Programme principal                         */

   public static void main(String [] args) {
    Console.setTitle("ExempleTypeDateSansEtAvecInitialisation");
     DateSansInit d1 = new DateSansInit();
     DateAvecInit d2 = new DateAvecInit();
     Console.afficher("Date 1 : ");
     Console.afficherln(d1.jour,":",
                      d1.mois,":",
                      d1.annee);
     Console.afficher("Date 2 : ");
     Console.afficherln(d2.jour,":",
                      d2.mois,":",
                      d2.annee);
   }
 }